// flow-typed signature: 6b931fd5ab27fb940476544fde660b50
// flow-typed version: <<STUB>>/eslint-plugin-eslint-comments_v^3.0.1/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'eslint-plugin-eslint-comments'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'eslint-plugin-eslint-comments' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'eslint-plugin-eslint-comments/lib/configs' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/configs/recommended' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/internal/disabled-area' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/internal/get-linters' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/internal/utils' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/disable-enable-pair' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-aggregating-enable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-duplicate-disable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-restricted-disable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-unlimited-disable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-unused-disable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-unused-enable' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/rules/no-use' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/utils' {
  declare module.exports: any;
}

declare module 'eslint-plugin-eslint-comments/lib/utils/patch' {
  declare module.exports: any;
}

// Filename aliases
declare module 'eslint-plugin-eslint-comments/index' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments'>;
}
declare module 'eslint-plugin-eslint-comments/index.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments'>;
}
declare module 'eslint-plugin-eslint-comments/lib/configs.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/configs'>;
}
declare module 'eslint-plugin-eslint-comments/lib/configs/recommended.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/configs/recommended'>;
}
declare module 'eslint-plugin-eslint-comments/lib/internal/disabled-area.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/internal/disabled-area'>;
}
declare module 'eslint-plugin-eslint-comments/lib/internal/get-linters.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/internal/get-linters'>;
}
declare module 'eslint-plugin-eslint-comments/lib/internal/utils.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/internal/utils'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/disable-enable-pair.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/disable-enable-pair'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-aggregating-enable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-aggregating-enable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-duplicate-disable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-duplicate-disable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-restricted-disable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-restricted-disable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-unlimited-disable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-unlimited-disable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-unused-disable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-unused-disable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-unused-enable.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-unused-enable'>;
}
declare module 'eslint-plugin-eslint-comments/lib/rules/no-use.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/rules/no-use'>;
}
declare module 'eslint-plugin-eslint-comments/lib/utils.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/utils'>;
}
declare module 'eslint-plugin-eslint-comments/lib/utils/patch.js' {
  declare module.exports: $Exports<'eslint-plugin-eslint-comments/lib/utils/patch'>;
}
